# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t=np.linspace(1,20,20)
x=np.power(-1,t)+np.divide(1,t)

eps = 0.09

plt.figure(1)
plt.plot(t,x,'o',color='b')
ax=plt.gca()
plt.axis([0, 21,-1.2,1.7])
l = plt.axhline(y=1+eps,linestyle='dashed',color='r')
l = plt.axhline(y=1-eps,linestyle='dashed',color='r')
plt.text(-1.76,1.15,r'$1+\epsilon_1$',color='r',fontsize=16)
plt.text(-1.62,0.8,r'$1-\epsilon_1$',color='r',fontsize=16)

ax.fill_between(np.linspace(0,21,20),1-eps,1+eps,color='r',alpha=0.3)

l = plt.axhline(y=-1+eps,linestyle='dashed',color='b')
l = plt.axhline(y=-1-eps,linestyle='dashed',color='b')
plt.text(-2.4,-0.85,r'$-1+\epsilon_3$',color='b',fontsize=16)
plt.text(-1.62,-1.2,r'$1-\epsilon_3$',color='b',fontsize=16)

ax.fill_between(np.linspace(0,21,20),-1-eps,-1+eps,color='b',alpha=0.3)

ax.fill([21, 12, 12, 21], [1-eps, 1-eps, 1+eps, 1+eps], color='g',fill=False, hatch='\\')
ax.fill([21, 13, 13, 21], [-1-eps, -1-eps, -1+eps, -1+eps], color='g',fill=False, hatch='\\')

plt.text(12,.6,r'$K_1=6$, $n_{K_1}=12$',color='g',ha='center',fontsize=16)
plt.text(13,-0.8,r'$K_2=7$, $n_{K_2}=13$',color='g',ha='center',fontsize=16)

ax.grid('on')

#plt.show()
plt.savefig("BW1.png",bbox_inches='tight')