# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t=np.linspace(1,20,20)
x=np.power(-1,t)+np.divide(1,t)

eps = 0.09

plt.figure(1)

ax=plt.gca()
ax.grid('on')
plt.plot(t,x,'o',color='b')
plt.axis([0, 21,-1.2,2.2])

ax.fill([21, 0, 0, 21], [-1.2, -1.2, 1, 1], color='g',fill=False, hatch='\\')
plt.text(-2.2,0.94,r'$\alpha=$',color='g',fontsize=16)
plt.text(-2.2,0,r'$S$',color='g',fontsize=16)

ax.annotate('',xy=(-0.07,0.62),xycoords='axes fraction',xytext=(-0.07,0),textcoords='axes fraction',arrowprops=dict(arrowstyle="<|-",color='g'))

#plt.show()
plt.savefig("BW2.png",bbox_inches='tight')