# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t=np.linspace(1,20,20)
x=np.power(-1,t)+np.divide(1,t)

eps = 0.09

plt.figure(1)

ax=plt.gca()
ax.grid('on')
plt.plot(t,x,'o',color='b')
plt.axis([0, 21,-1.2,2.2])


ax.fill_between(np.linspace(0,21,20),0,2,color='r',alpha=0.1)
l = plt.axhline(y=0,linestyle='dashed',color='r')
l = plt.axhline(y=2,linestyle='dashed',color='r')
ax.annotate(r'$n_1=2$',xy=(2.12,1.52),xycoords='data',xytext=(2.4,1.8),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='red'),color='black',fontsize=16)
plt.text(-2.6,2,r'$\alpha+1$',color='r',fontsize=16)
plt.text(-2.6,0,r'$\alpha-1$',color='r',fontsize=16)

ax.fill_between(np.linspace(0,21,20),0.5,1.5,color='orange',alpha=0.2)
l = plt.axhline(y=0.5,linestyle='dashed',color='orange')
l = plt.axhline(y=1.5,linestyle='dashed',color='orange')
ax.annotate(r'$n_2=4$',xy=(4.05,1.3),xycoords='data',xytext=(4.3,1.6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='orange'),color='black',fontsize=16)
plt.text(-3.3,1.5,r'$\alpha+1/2$',color='orange',fontsize=16)
plt.text(-3.3,0.5,r'$\alpha-1/2$',color='orange',fontsize=16)

ax.fill_between(np.linspace(0,21,20),2/3,4/3,color='g',alpha=0.3)
l = plt.axhline(y=2/3,linestyle='dashed',color='g')
l = plt.axhline(y=4/3,linestyle='dashed',color='g')
ax.annotate(r'$n_3=6$',xy=(6.05,1.2),xycoords='data',xytext=(6.2,1.4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='g'),color='black',fontsize=16)
plt.text(-3.3,4/3,r'$\alpha+1/3$',color='g',fontsize=16)
plt.text(-3.3,2/3,r'$\alpha-1/3$',color='g',fontsize=16)

ax.fill_between(np.linspace(0,21,20),3/4,5/4,color='violet',alpha=0.4)
l = plt.axhline(y=3/4,linestyle='dashed',color='violet')
l = plt.axhline(y=5/4,linestyle='dashed',color='violet')
ax.annotate(r'$n_4=8$',xy=(8.05,1.1),xycoords='data',xytext=(8.3,1.2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='violet'),color='black',fontsize=16)
plt.text(-3.3,1.15,r'$\alpha+1/4$',color='violet',fontsize=16)
plt.text(-3.3,0.85,r'$\alpha-1/4$',color='violet',fontsize=16)

#plt.show()
plt.savefig("BW2b.png",bbox_inches='tight')