# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

#Trying to get diagonal dots
plt.rc('text', usetex = True)
plt.rc('font', **{'family' : "sans-serif"})
params = {'text.latex.preamble' : [r'\usepackage{siunitx}', r'\usepackage{amsmath}',r'\usepackage{mathdots}',r'\usepackage{amssymb}']}
plt.rcParams.update(params)

# set up the figure
fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_xlim(0,7)
ax.set_ylim(0.7,7)

ind=np.arange(1,7)
ind2=np.arange(2,7)

# draw lines
eps=0.25
eps2=0.35
plt.text(1-eps2,6,r'$\tau(1)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2,6),xycoords='data',xytext=(1,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,6+eps,r'$\tau(2)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,5),xycoords='data',xytext=(2,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,5,r'$\tau(3)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,4),xycoords='data',xytext=(1,5),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,4,r'$\tau(4)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2,5),xycoords='data',xytext=(1,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,5+eps,r'$\tau(5)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3,6),xycoords='data',xytext=(2,5),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,6+eps,r'$\tau(6)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4,6),xycoords='data',xytext=(3,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,6+eps,r'$\tau(7)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3,5),xycoords='data',xytext=(4,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,5+eps,r'$\tau(8)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2,4),xycoords='data',xytext=(3,5),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,4+eps,r'$\tau(9)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,3),xycoords='data',xytext=(2,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,3,r'$\tau(10)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,2),xycoords='data',xytext=(1,3),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,2,r'$\tau(11)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2,3),xycoords='data',xytext=(1,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,3+eps,r'$\tau(12)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3,4),xycoords='data',xytext=(2,3),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,4+eps,r'$\tau(13)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4,5),xycoords='data',xytext=(3,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,5+eps,r'$\tau(14)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(5,6),xycoords='data',xytext=(4,5),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(5,6+eps,r'$\tau(15)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(6,6),xycoords='data',xytext=(5,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(6,6+eps,r'$\tau(16)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(5,5),xycoords='data',xytext=(6,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(5,5+eps,r'$\tau(17)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4,4),xycoords='data',xytext=(5,5),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,4+eps,r'$\tau(18)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3,3),xycoords='data',xytext=(4,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,3+eps,r'$\tau(19)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2,2),xycoords='data',xytext=(3,3),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,2+eps,r'$\tau(20)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,1),xycoords='data',xytext=(2,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,1,r'$\tau(21)$',horizontalalignment='center',fontsize=12,color='r')

ax.annotate("",xy=(3,2),xycoords='data',xytext=(2,1),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(4,3),xycoords='data',xytext=(3,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5,4),xycoords='data',xytext=(4,3),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6,5),xycoords='data',xytext=(5,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6,5),xycoords='data',xytext=(5,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(3,1),xycoords='data',xytext=(4,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(4,2),xycoords='data',xytext=(5,3),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6,3),xycoords='data',xytext=(5,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5,3),xycoords='data',xytext=(6,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5,2),xycoords='data',xytext=(4,1),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5,1),xycoords='data',xytext=(6,2),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))

plt.text(1,0.5,r'$\vdots$',horizontalalignment='center',fontsize=20,color='r')
for x in np.nditer(ind2):
    plt.text(x-0.3,0.5,r'$\iddots$',horizontalalignment='center',fontsize=20,color='r')

plt.text(6.4,6,r'$\hdots$',horizontalalignment='center',fontsize=20,color='r')
for x in np.nditer(ind2):
    plt.text(6.4,x-0.9,r'$\iddots$',horizontalalignment='center',fontsize=20,color='r')

# draw dots on the line
for x in np.nditer(ind):
    for y in np.nditer(ind):
        plt.plot(x,y,'o',ms=10,mfc='b')


# add numbers
plt.text(0,6.95,r'$\mathbb{N}\times \mathbb{N}$',horizontalalignment='center',fontsize=16)

plt.text(1, 7, r'$1$',horizontalalignment='center',fontsize=16)
plt.text(2, 7, r'$2$',horizontalalignment='center',fontsize=16)
plt.text(3, 7, r'$3$',horizontalalignment='center',fontsize=16)
plt.text(4, 7, r'$4$',horizontalalignment='center',fontsize=16)
plt.text(5, 7, r'$5$',horizontalalignment='center',fontsize=16)
plt.text(6, 7, r'$6$',horizontalalignment='center',fontsize=16)
plt.text(0, 1-0.1,r'$6$',horizontalalignment='center',fontsize=16)
plt.text(0, 2-0.1,r'$5$',horizontalalignment='center',fontsize=16)
plt.text(0, 3-0.1,r'$4$',horizontalalignment='center',fontsize=16)
plt.text(0, 4-0.1,r'$3$',horizontalalignment='center',fontsize=16)
plt.text(0, 5-0.1,r'$2$',horizontalalignment='center',fontsize=16)
plt.text(0, 6-0.1,r'$1$',horizontalalignment='center',fontsize=16)

plt.axis('off')

#plt.show()
plt.savefig("CantorDiag2.png",bbox_inches='tight')