# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

#Trying to get diagonal dots
plt.rc('text', usetex = True)
plt.rc('font', **{'family' : "sans-serif"})
params = {'text.latex.preamble' : [r'\usepackage{siunitx}', r'\usepackage{amsmath}',r'\usepackage{mathdots}',r'\usepackage{amssymb}']}
plt.rcParams.update(params)

# set up the figure
fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_xlim(0,7)
ax.set_ylim(0.7,7)

ind=np.arange(1,7)
ind2=np.arange(2,7)

# draw lines
eps=0.25
eps2=0.35
plt.text(1-eps2,6,r'$\tau(1)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2-eps,6),xycoords='data',xytext=(1+eps,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,6+eps,r'$\tau(2)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1+eps,5+eps),xycoords='data',xytext=(2-eps,6-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,5,r'$\tau(3)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,4+eps),xycoords='data',xytext=(1,5-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,4,r'$\tau(4)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2-eps,5-eps),xycoords='data',xytext=(1,4),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,5+eps,r'$\tau(5)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3-eps,6-eps),xycoords='data',xytext=(2+eps,5+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,6+eps,r'$\tau(6)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4-eps,6),xycoords='data',xytext=(3+eps,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,6+eps,r'$\tau(7)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3+eps,5+eps),xycoords='data',xytext=(4-eps,6-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,5+eps,r'$\tau(8)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2+eps,4+eps),xycoords='data',xytext=(3-eps,5-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,4+eps,r'$\tau(9)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1+eps,3+eps),xycoords='data',xytext=(2-eps,4-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,3,r'$\tau(10)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1,2+eps),xycoords='data',xytext=(1,3-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,2,r'$\tau(11)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2-eps,3-eps),xycoords='data',xytext=(1+eps,2+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,3+eps,r'$\tau(12)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3-eps,4-eps),xycoords='data',xytext=(2+eps,3+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,4+eps,r'$\tau(13)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4-eps,5-eps),xycoords='data',xytext=(3+eps,4+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,5+eps,r'$\tau(14)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(5-eps,6-eps),xycoords='data',xytext=(4+eps,5+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(5,6+eps,r'$\tau(15)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(6-eps,6),xycoords='data',xytext=(5+eps,6),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(6,6+eps,r'$\tau(16)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(5+eps,5+eps),xycoords='data',xytext=(6-eps,6-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(5,5+eps,r'$\tau(17)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(4+eps,4+eps),xycoords='data',xytext=(5-eps,5-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(4,4+eps,r'$\tau(18)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(3+eps,3+eps),xycoords='data',xytext=(4-eps,4-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(3,3+eps,r'$\tau(19)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(2+eps,2+eps),xycoords='data',xytext=(3-eps,3-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(2,2+eps,r'$\tau(20)$',horizontalalignment='center',fontsize=12,color='r')
ax.annotate("",xy=(1+eps,1+eps),xycoords='data',xytext=(2-eps,2-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
plt.text(1-eps2,1,r'$\tau(21)$',horizontalalignment='center',fontsize=12,color='r')

ax.annotate("",xy=(3-eps,2-eps),xycoords='data',xytext=(2+eps,1+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(4-eps,3-eps),xycoords='data',xytext=(3+eps,2+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5-eps,4-eps),xycoords='data',xytext=(4+eps,3+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6-eps,5-eps),xycoords='data',xytext=(5+eps,4+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6-eps,5-eps),xycoords='data',xytext=(5+eps,4+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(3+eps,1+eps),xycoords='data',xytext=(4-eps,2-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(4+eps,2+eps),xycoords='data',xytext=(5-eps,3-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(6-eps,3-eps),xycoords='data',xytext=(5+eps,2+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5+eps,3+eps),xycoords='data',xytext=(6-eps,4-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5-eps,2-eps),xycoords='data',xytext=(4+eps,1+eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))
ax.annotate("",xy=(5+eps,1+eps),xycoords='data',xytext=(6-eps,2-eps),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='r'))

plt.text(1,0.5,r'$\vdots$',horizontalalignment='center',fontsize=20,color='r')
for x in np.nditer(ind2):
    plt.text(x-0.3,0.5,r'$\iddots$',horizontalalignment='center',fontsize=20,color='r')

plt.text(6.4,6,r'$\hdots$',horizontalalignment='center',fontsize=20,color='r')
for x in np.nditer(ind2):
    plt.text(6.4,x-0.9,r'$\iddots$',horizontalalignment='center',fontsize=20,color='r')

plt.text(1,6-eps/2,r'$x_{11}$',horizontalalignment='center',fontsize=16)
plt.text(2,6-eps/2,r'$x_{12}$',horizontalalignment='center',fontsize=16)
plt.text(3,6-eps/2,r'$x_{13}$',horizontalalignment='center',fontsize=16)
plt.text(4,6-eps/2,r'$x_{14}$',horizontalalignment='center',fontsize=16)
plt.text(5,6-eps/2,r'$x_{15}$',horizontalalignment='center',fontsize=16)
plt.text(6,6-eps/2,r'$x_{16}$',horizontalalignment='center',fontsize=16)
plt.text(1,5-eps/2,r'$x_{21}$',horizontalalignment='center',fontsize=16)
plt.text(2,5-eps/2,r'$x_{22}$',horizontalalignment='center',fontsize=16)
plt.text(3,5-eps/2,r'$x_{23}$',horizontalalignment='center',fontsize=16)
plt.text(4,5-eps/2,r'$x_{24}$',horizontalalignment='center',fontsize=16)
plt.text(5,5-eps/2,r'$x_{25}$',horizontalalignment='center',fontsize=16)
plt.text(6,5-eps/2,r'$x_{26}$',horizontalalignment='center',fontsize=16)
plt.text(1,4-eps/2,r'$x_{31}$',horizontalalignment='center',fontsize=16)
plt.text(2,4-eps/2,r'$x_{32}$',horizontalalignment='center',fontsize=16)
plt.text(3,4-eps/2,r'$x_{33}$',horizontalalignment='center',fontsize=16)
plt.text(4,4-eps/2,r'$x_{34}$',horizontalalignment='center',fontsize=16)
plt.text(5,4-eps/2,r'$x_{35}$',horizontalalignment='center',fontsize=16)
plt.text(6,4-eps/2,r'$x_{36}$',horizontalalignment='center',fontsize=16)
plt.text(1,3-eps/2,r'$x_{41}$',horizontalalignment='center',fontsize=16)
plt.text(2,3-eps/2,r'$x_{42}$',horizontalalignment='center',fontsize=16)
plt.text(3,3-eps/2,r'$x_{43}$',horizontalalignment='center',fontsize=16)
plt.text(4,3-eps/2,r'$x_{44}$',horizontalalignment='center',fontsize=16)
plt.text(5,3-eps/2,r'$x_{45}$',horizontalalignment='center',fontsize=16)
plt.text(6,3-eps/2,r'$x_{46}$',horizontalalignment='center',fontsize=16)
plt.text(1,2-eps/2,r'$x_{51}$',horizontalalignment='center',fontsize=16)
plt.text(2,2-eps/2,r'$x_{52}$',horizontalalignment='center',fontsize=16)
plt.text(3,2-eps/2,r'$x_{53}$',horizontalalignment='center',fontsize=16)
plt.text(4,2-eps/2,r'$x_{54}$',horizontalalignment='center',fontsize=16)
plt.text(5,2-eps/2,r'$x_{55}$',horizontalalignment='center',fontsize=16)
plt.text(6,2-eps/2,r'$x_{56}$',horizontalalignment='center',fontsize=16)
plt.text(1,1-eps/2,r'$x_{61}$',horizontalalignment='center',fontsize=16)
plt.text(2,1-eps/2,r'$x_{62}$',horizontalalignment='center',fontsize=16)
plt.text(3,1-eps/2,r'$x_{63}$',horizontalalignment='center',fontsize=16)
plt.text(4,1-eps/2,r'$x_{64}$',horizontalalignment='center',fontsize=16)
plt.text(5,1-eps/2,r'$x_{65}$',horizontalalignment='center',fontsize=16)
plt.text(6,1-eps/2,r'$x_{66}$',horizontalalignment='center',fontsize=16)

# add numbers
plt.text(0,6.95,r'$\cup_{n\in\mathbb{N}} X_n$',horizontalalignment='center',fontsize=16)

plt.text(1, 7, r'$1$',horizontalalignment='center',fontsize=16)
plt.text(2, 7, r'$2$',horizontalalignment='center',fontsize=16)
plt.text(3, 7, r'$3$',horizontalalignment='center',fontsize=16)
plt.text(4, 7, r'$4$',horizontalalignment='center',fontsize=16)
plt.text(5, 7, r'$5$',horizontalalignment='center',fontsize=16)
plt.text(6, 7, r'$6$',horizontalalignment='center',fontsize=16)
plt.text(0, 1-0.1,r'$X_6$',horizontalalignment='center',fontsize=16)
plt.text(0, 2-0.1,r'$X_5$',horizontalalignment='center',fontsize=16)
plt.text(0, 3-0.1,r'$X_4$',horizontalalignment='center',fontsize=16)
plt.text(0, 4-0.1,r'$X_3$',horizontalalignment='center',fontsize=16)
plt.text(0, 5-0.1,r'$X_2$',horizontalalignment='center',fontsize=16)
plt.text(0, 6-0.1,r'$X_1$',horizontalalignment='center',fontsize=16)

plt.axis('off')

#plt.show()
plt.savefig("CantorDiag2b.png",bbox_inches='tight')