# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


# set up functions
x=np.linspace(0,0.85,10)
y=np.full((10,1),1)

# floor
plt.figure(1)
ax=plt.gca()

ax.spines['left'].set_position('center')
ax.spines['bottom'].set_bounds(-4.2,4.2)
ax.spines['left'].set_bounds(-4.2,4.2)
ax.spines['right'].set_color('none')
ax.spines['bottom'].set_position('center')
ax.spines['top'].set_color('none')
ax.spines['left'].set_smart_bounds(True)
ax.spines['bottom'].set_smart_bounds(True)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('on')
ax.set_aspect('equal', adjustable='box')

plt.ylim(-4.2,4.2)
plt.xlim(-4.2,4.2)

for t in np.nditer(np.arange(-5,5)):
    plt.plot(x+t,y+t-1,'k'), plt.plot(1+t,t,'o',ms=10,color='black',fillstyle='none'), plt.plot(t,t,'o',ms=10,color='black')


#plt.show()
plt.savefig("Floor.png",bbox_inches='tight')

# ceil
x=np.linspace(0.15,1,10)

plt.figure(2)
ax=plt.gca()

ax.spines['left'].set_position('center')
ax.spines['bottom'].set_bounds(-4.2,4.2)
ax.spines['left'].set_bounds(-4.2,4.2)
ax.spines['right'].set_color('none')
ax.spines['bottom'].set_position('center')
ax.spines['top'].set_color('none')
ax.spines['left'].set_smart_bounds(True)
ax.spines['bottom'].set_smart_bounds(True)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('on')
ax.set_aspect('equal', adjustable='box')

plt.ylim(-4.2,4.2)
plt.xlim(-4.2,4.2)

for t in np.nditer(np.arange(-5,5)):
    plt.plot(x+t,y+t,'k'), plt.plot(1+t,1+t,'o',ms=10,color='black'), plt.plot(t,1+t,'o',ms=10,color='black',fillstyle='none')


#plt.show()
plt.savefig("Ceil.png",bbox_inches='tight')

