# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t=np.linspace(1,20,20)

plt.figure(1)
plt.plot(t,np.full((20,1),1),'o',color='b')
ax=plt.gca()
plt.axis([0, 21,0,2])
l = plt.axhline(y=1.08,linestyle='dashed',color='r')
l = plt.axhline(y=.92,linestyle='dashed',color='r')
plt.text(-0.5,0,'0',color='black',fontsize=12)
plt.text(-0.5,0.98,'c',color='black',fontsize=12)
l = plt.axhline(y=1,linestyle='dashed',color='black',alpha=0.2)
plt.text(-1.6,1.1,r'$c+\epsilon$',color='r',fontsize=16)
plt.text(-1.45,0.85,r'$c-\epsilon$',color='r',fontsize=16)
plt.text(1,-0.11,r'$N$',color='g',ha='center',fontsize=16)

ax.get_yaxis().set_visible(False)

ax.fill_between(np.linspace(0,21,20),0.92,1.08,color='r',alpha=0.3)
ax.fill([21, 1, 1, 21], [0.92, 0.92, 1.08, 1.08], color='g',fill=False, hatch='\\')

ax.grid('on')

#plt.show()
plt.savefig("ConstSeq.png",bbox_inches='tight')