# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


plt.figure(1)

ax=plt.gca()
ax.grid('off')

def func(x):
    return (x-3)*(x-5)*(x-7)+85

a, b = 2, 9 #limits of integration
x = np.arange(0, 10, 0.01)
y = func(x)
plt.plot(x, y, linewidth=1,color='black')

plt.axis([0,10, 0, 180])
plt.figtext(0.9, 0.05, r'$x$',fontsize=16)
plt.figtext(0.1, 0.9, r'$y$',fontsize=16)
ax.set_xticks((0,a,b))
ax.set_xticklabels((r'$0$',r'$a$',r'$b$'))
ax.set_yticks((0,200)) 
ax.set_yticklabels((r'$0$',''))

# Filling in regions
pts = np.array([func(a),func(a+1),func(a+3),func(a+4),func((30+4*np.sqrt(3))/6),func(a+5),func(a+6)])
for k in np.arange(1,8):
    ax.fill([a+k, a+k-1, a+k-1, a+k], [0, 0, pts[k-1], pts[k-1]], color='red',fill=False, hatch='\\')

pts = np.array([func(a+1),func((30-4*np.sqrt(3))/6),func(a+2),func(a+3),func(a+4),func(a+6),func(a+7)])
for k in np.arange(1,8):
    ax.fill([a+k, a+k-1, a+k-1, a+k], [0, 0, pts[k-1], pts[k-1]], color='blue',fill=False, hatch='//')

plt.text(8.75,160,r'$f$',color='black',fontsize=16)


plt.show()
#plt.savefig("DefInt1.png",bbox_inches='tight')