# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_xlim(-5,5)
ax.set_ylim(2,8)

# draw lines
y=5
ax.annotate("",xy=(-5,5),xycoords='data',xytext=(5,5),textcoords='data',arrowprops=dict(arrowstyle="<->"))
ax.annotate("",xy=(-1,5),xycoords='data',xytext=(2,5),textcoords='data',arrowprops=dict(arrowstyle="-",color='r'))
t=np.linspace(-4,4,9)
for t1 in t:
    plt.vlines(t1,y-1/4.,y+1/4.)
ax.annotate("",xy=(2,5.5),xycoords='data',xytext=(5,5.5),textcoords='data',arrowprops=dict(arrowstyle="<-",color='orange'))
ax.annotate("",xy=(-5,5.5),xycoords='data',xytext=(-1,5.5),textcoords='data',arrowprops=dict(arrowstyle="->",color='g'))

# draw dots on the line
plt.plot(2,y, 'ro', ms = 10)
plt.plot(-1,y, 'o',ms = 10, markeredgecolor='r',markerfacecolor='None')
plt.plot(2,y+0.5, 'o', ms = 10,mfc='orange')
plt.plot(-1,y+0.5, 'o', ms = 10,mfc='green')

# add numbers
plt.text(-1, y-0.75, r'$-1$',horizontalalignment='center',fontsize=16)
plt.text(2, y-0.75, r'$2$',horizontalalignment='center',fontsize=16)
plt.text(0, y-0.75, r'$0$',horizontalalignment='center',fontsize=16)

# add field label
ax.text(4.5,4.3,r'$\mathbb{R}$',fontsize=18)

plt.axis('off')
plt.show()

plt.savefig("Ex1_76a.png",bbox_inches='tight')