# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_xlim(-3,3)
ax.set_ylim(2,8)

# draw lines
y=5
ax.annotate("",xy=(-3,5),xycoords='data',xytext=(3,5),textcoords='data',arrowprops=dict(arrowstyle="<->"))
ax.annotate("",xy=(-np.sqrt(2),5),xycoords='data',xytext=(np.sqrt(2),5),textcoords='data',arrowprops=dict(arrowstyle="-",color='r'))
t=np.linspace(-2,2,3)
for t1 in t:
    plt.vlines(t1,y-1/4.,y+1/4.)
ax.annotate("",xy=(np.sqrt(2),5.5),xycoords='data',xytext=(3,5.5),textcoords='data',arrowprops=dict(arrowstyle="<-",color='orange'))
ax.annotate("",xy=(-3,5.5),xycoords='data',xytext=(-np.sqrt(2),5.5),textcoords='data',arrowprops=dict(arrowstyle="->",color='g'))

# draw dots on the line
plt.plot(np.sqrt(2),y, 'o',ms = 10, markeredgecolor='r',markerfacecolor='None')
plt.plot(-np.sqrt(2),y, 'o',ms = 10, markeredgecolor='r',markerfacecolor='None')
plt.plot(np.sqrt(2),y+0.5, 'o', ms = 10,markeredgecolor='orange',markerfacecolor='None')
plt.plot(-np.sqrt(2),y+0.5, 'o', ms = 10,markeredgecolor='green',markerfacecolor='None')

# add numbers
plt.text(-2, y-0.75, r'$-2$',horizontalalignment='center',fontsize=16)
plt.text(2, y-0.75, r'$2$',horizontalalignment='center',fontsize=16)
plt.text(0, y-0.75, r'$0$',horizontalalignment='center',fontsize=16)

# add field label
ax.text(2.7,4.4,r'$\mathbb{Q}$',fontsize=18)

plt.axis('off')

#plt.show()
plt.savefig("Ex1_76c.png",bbox_inches='tight')