# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['left'].set_position('center')
ax.spines['bottom'].set_bounds(-3.5,3.5)
ax.spines['right'].set_color('none')
ax.spines['bottom'].set_position('center')
ax.spines['top'].set_color('none')
ax.spines['left'].set_smart_bounds(True)
ax.spines['bottom'].set_smart_bounds(True)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('on')

plt.ylim(-7.4,7.4)
plt.xlim(-3.5,3.5)


# plot functions
x1=np.linspace(-2,-1.1,1000)
def f1(t): return 1/(t+1)

x2=np.linspace(-1,-0.57,100)

x3=np.linspace(-0.41,-0.07,100)

x4=np.linspace(0,0.95,1000)
def f4(t): return t**2/(t-1)**2

x5=np.linspace(1.05,3.5,1000)

plt.plot(-3,0,'ro',color='r')
plt.plot(x1,f1(x1),'k',color='r')
plt.plot(x2,np.full((100,1),1),'k',color='r')
plt.plot(x3,np.full((100,1),1),'k',color='r')
plt.plot(x4,f4(x4),'k',color='r')
plt.plot(x5,f4(x5),'k',color='r')


# draw asymptotes
y=np.linspace(-10,10,20)
plt.plot(np.full((20,1),1),y,'|',color='black')
plt.plot(np.full((20,1),-1),y,'|',color='black')


# draw endpoints
plt.plot(-3,0,'o',ms=10,c='r')
plt.plot(-2,-1,'o',ms=10,c='r')
plt.plot(-1,1,'o',ms=10,c='r')
plt.plot(-1/2,0,'o',ms=10,c='r')
plt.plot(0,0,'o',ms=10,c='r')
plt.plot(-1/2,1,'o',ms=10,c='r',fillstyle='none')
plt.plot(0,1,'o',ms=10,c='r',fillstyle='none')

#plt.show()
plt.savefig("Ex_3_19.png",bbox_inches='tight')