# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import numpy as np
import matplotlib.pyplot as plt

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')

ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(-1.2,1.2)


ax.spines['bottom'].set_position('zero')
ax.set_xlim(-0.4,2.4)
ax.set_ylim(-1.2,1.2)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')


ax.grid('off')

# plot functions
y=np.ones(1000)
z=np.zeros(1000)

# 1_[0,1]
x=np.linspace(0,1,1000)
plt.plot(x,y,color="red", linewidth=2)

x=np.linspace(-0.4,0,1000)
plt.plot(x,z,color="red", linewidth=2)

x=np.linspace(1,2.4,1000)
plt.plot(x,z,color="red", linewidth=2)

plt.plot(0,0, 'o',ms = 15, markeredgecolor='r',markerfacecolor='None')
plt.plot(1,0, 'o',ms = 15, markeredgecolor='r',markerfacecolor='None')
plt.plot(0,1, 'o',ms = 15, mfc='r')
plt.plot(1,1, 'o',ms = 15, mfc='r')


# T_{1/2} 1_[0,1]
x=np.linspace(0.5,1.5,1000)
plt.plot(x,y,color="blue", linewidth=2)

x=np.linspace(-0.4,0.5,1000)
plt.plot(x,z,color="blue", linewidth=2)

x=np.linspace(1.5,2.4,1000)
plt.plot(x,z,color="blue", linewidth=2)

plt.plot(0.5,0, 'o',ms = 15, markeredgecolor='b',markerfacecolor='None')
plt.plot(1.5,0, 'o',ms = 15, markeredgecolor='b',markerfacecolor='None')
plt.plot(0.5,1, 'o',ms = 15, mfc='b')
plt.plot(1.5,1, 'o',ms = 15, mfc='b')


# Re M_{1/2} 1_[0,1]
x=np.linspace(0,1,1000)
plt.plot(x,np.cos(np.pi*x),color="green", linewidth=2)

x=np.linspace(-0.4,0,1000)
plt.plot(x,z,color="green", linewidth=2)

x=np.linspace(1,2.4,1000)
plt.plot(x,z,color="green", linewidth=2)

plt.plot(0,0, 'o',ms = 15, markeredgecolor='g',markerfacecolor='None')
plt.plot(1,0, 'o',ms = 15, markeredgecolor='g',markerfacecolor='None')
plt.plot(0,1, 'o',ms = 15, mfc='g')
plt.plot(1,-1, 'o',ms = 15, mfc='g')

# L^1 dilation 1_[0,1]
x=np.linspace(0,2,1000)
plt.plot(x,0.5*y,color="violet", linewidth=2)

x=np.linspace(-0.4,0,1000)
plt.plot(x,z,color="violet", linewidth=2)

x=np.linspace(2,2.4,1000)
plt.plot(x,z,color="violet", linewidth=2)

plt.plot(0,0, 'o',ms = 15, markeredgecolor='violet',markerfacecolor='None')
plt.plot(2,0, 'o',ms = 15, markeredgecolor='violet',markerfacecolor='None')
plt.plot(0,0.5, 'o',ms = 15, mfc='violet')
plt.plot(2,0.5, 'o',ms = 15, mfc='violet')

#plt.show()
plt.savefig("Fourier_opers.png",bbox_inches='tight')
