# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.grid('on')

plt.ylim(-0.2,1.2)

# plot functions
x=np.linspace(0,3.5,1000)
y=np.sin(x)

a=np.sqrt(2)/2

plt.plot(x,y,'k')
l = plt.axhline(y=a+0.08,linestyle='dashed',color='r')
l = plt.axhline(y=a-0.08,linestyle='dashed',color='r')
l = plt.axhline(y=a,linestyle='dashed',color='blue')
ax.fill_between(x,a-0.08,a+0.08,color='r',alpha=0.3)

plt.text(-0.5,a+0.065,r'$c+\epsilon$',color='r',fontsize=16)
plt.text(-0.5,a-0.1,r'$c-\epsilon$',color='r',fontsize=16)
plt.text(-0.4,a-.03,r'$c$',color='blue',fontsize=16)

b=3*np.pi/4

plt.plot(b,a,'o',color='black')
l = plt.axvline(x=b+0.08,linestyle='dashed',color='g')
l = plt.axvline(x=b-0.08,linestyle='dashed',color='g')
l = plt.axvline(x=b,linestyle='dashed',color='blue')
ax.axvspan(b-0.08, b+0.08, alpha=0.3, color='g')

plt.text(b+0.1,-0.35,r'$a+\delta$',color='g',fontsize=16)
plt.text(b-0.38,-0.35,r'$a-\delta$',color='g',fontsize=16)
plt.text(b-0.05,-0.35,r'$a$',color='blue',fontsize=16)


#plt.show()
plt.savefig("FunLim1.png",bbox_inches='tight')