# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


# set up the figure
plt.figure(1)
ax=plt.gca()

ax.grid('on')

plt.ylim(-1.2,1.2)
plt.xlim(-0.5,0.5)


# plot functions
x1=np.linspace(-0.5,-0.01,10)
x2=np.linspace(0.01,0.5,10)
y=np.full((10,1),1)

plt.plot(x1,-y,'k')
plt.plot(x2,y,'k')
plt.plot(0,0,'o',ms=10,color='black')
plt.plot(0,-1,'o',color='black',ms=10,fillstyle='none')
plt.plot(0,1,'o',color='black',ms=10,fillstyle='none')

eps = 0.08

l = plt.axhline(y=1+eps,linestyle='dashed',color='r')
l = plt.axhline(y=1-eps,linestyle='dashed',color='r')
ax.fill_between(np.linspace(-0.5,0.5),1-eps,1+eps,color='r',alpha=0.3)
plt.text(-0.59,1.1,r'$1+\epsilon_1$',color='r',fontsize=16)
plt.text(-0.58,0.8,r'$1-\epsilon_1$',color='r',fontsize=16)


l = plt.axhline(y=2*eps,linestyle='dashed',color='g')
l = plt.axhline(y=-2*eps,linestyle='dashed',color='g')
ax.fill_between(np.linspace(-0.5,0.5),-2*eps,2*eps,color='g',alpha=0.3)
plt.text(-0.59,.15,r'$0+\epsilon_2$',color='green',fontsize=16)
plt.text(-0.58,-0.24,r'$0-\epsilon_2$',color='green',fontsize=16)

l = plt.axhline(y=-1+eps,linestyle='dashed',color='blue')
l = plt.axhline(y=-1-eps,linestyle='dashed',color='blue')
ax.fill_between(np.linspace(-0.5,0.5),-1-eps,-1+eps,color='blue',alpha=0.3)
plt.text(-0.62,-0.9,r'$-1+\epsilon_3$',color='blue',fontsize=16)
plt.text(-0.605,-1.2,r'$-1-\epsilon_3$',color='blue',fontsize=16)


#plt.show()
plt.savefig("FunLim2.png",bbox_inches='tight')