# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.grid('on')

plt.xlim(0,2)
plt.ylim(-10,50)

# plot functions

x =np.linspace(0,0.999,1000)
plt.plot(x,np.divide(1,np.abs(x-1)),'k')
x=np.linspace(1.001,2,1000)
plt.plot(x,np.divide(1,np.abs(x-1)),'k')
l = plt.axhline(y=35,linestyle='dashed',color='r')
ax.fill_between(np.linspace(0,2),35,50,color='r',alpha=0.3)

plt.text(-0.08,34,r'$K$',color='r',fontsize=16)

eps=1/35

l = plt.axvline(x=1,linestyle='dashed',color='blue')
l = plt.axvline(x=1+eps,linestyle='dashed',color='g')
l = plt.axvline(x=1-eps,linestyle='dashed',color='g')
ax.axvspan(1-eps, 1+eps, alpha=0.3, color='g')

plt.text(1+eps,-16,r'$a+\delta$',color='g',fontsize=16)
plt.text(1-6*eps,-16,r'$a-\delta$',color='g',fontsize=16)
plt.text(1-eps,-16,r'$a$',color='blue',fontsize=16)


#plt.show()
plt.savefig("FunLim3.png",bbox_inches='tight')