# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


# set up the figure
plt.figure(1)
ax=plt.gca()

ax.grid('on')

# plot functions
x=np.linspace(0,100,1000)

plt.plot(x,np.divide(np.sin(x),(x+1)),'k')

eps=0.02

l = plt.axhline(y=eps,linestyle='dashed',color='r')
l = plt.axhline(y=-eps,linestyle='dashed',color='r')
l = plt.axhline(y=0,linestyle='dashed',color='blue')
ax.fill_between(x,-eps,eps,color='r',alpha=0.3)
plt.text(-10,0.01,r'$c+\epsilon$',color='r',fontsize=16)
plt.text(-10,-0.04,r'$c-\epsilon$',color='r',fontsize=16)
plt.text(-8,-0.01,r'$c$',color='blue',fontsize=16)

b=47
l = plt.axvline(x=b,linestyle='dashed',color='g')
ax.axvspan(b, 100, alpha=0.3, color='g')
plt.text(b-1,-0.24,r'$S$',color='green',fontsize=16)


#plt.show()
plt.savefig("FunLim4.png",bbox_inches='tight')