# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


# set up the figure
plt.figure(1)
ax=plt.gca()

ax.grid('on')

plt.ylim(0,100)

# plot functions
x=np.linspace(0,100,1000)

plt.plot(x,np.divide(100,(x+1))+x**0.95,'k')

l = plt.axhline(y=35,linestyle='dashed',color='r')
ax.fill_between(np.linspace(0,100),35,100,color='r',alpha=0.3)
plt.text(-5,33,r'$K$',color='r',fontsize=16)

b=40
l = plt.axvline(x=b,linestyle='dashed',color='g')
ax.axvspan(b, 100, alpha=0.3, color='g')
plt.text(b-2,-10,r'$S$',color='green',fontsize=16)


#plt.show()
plt.savefig("FunLim5.png",bbox_inches='tight')