# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
fig = plt.figure()
ax = fig.add_subplot(111)
ax.set_xlim(-5,5)
ax.set_ylim(2,8)

# draw lines
y=5
ax.annotate("",xy=(-5,5),xycoords='data',xytext=(5,5),textcoords='data',arrowprops=dict(arrowstyle="<->"))
plt.vlines(-4,y-1/4.,y+1/4.)
plt.vlines(-3,y-1/4.,y+1/4.)
plt.vlines(-2,y-1/4.,y+1/4.)
plt.vlines(-1,y-1/4.,y+1/4.)
plt.vlines(0,y-1/4.,y+1/4.)
plt.vlines(1,y-1/4.,y+1/4.)
plt.vlines(2,y-1/4.,y+1/4.)
plt.vlines(3,y-1/4.,y+1/4.)
plt.vlines(4,y-1/4.,y+1/4.)

# draw dots on the line
px = -1.6
plt.plot(px,y, 'ro', ms = 10, mfc = 'r')
plt.plot(-2,y, 'ro', ms = 7, mfc = 'y')
plt.plot(-3,y, 'ro', ms = 7, mfc = 'y')
plt.plot(-4,y, 'ro', ms = 7, mfc = 'y')

# add numbers
plt.text(-1.6, y-0.5, r'$x$',horizontalalignment='center',color='r',fontsize=16)
plt.text(-3, y-0.75, r'$-n_2$',horizontalalignment='center',color='b',fontsize=16)
plt.text(2, y-0.75, r'$n_1$',horizontalalignment='center',color='b',fontsize=16)
plt.text(-2, y-0.75, r'$n$',horizontalalignment='center',color='g',fontsize=16)
plt.text(-1, y-0.75, r'$n+1$',horizontalalignment='center',color='g',fontsize=16)
plt.text(0, y-0.75, r'$0$',horizontalalignment='center',fontsize=16)

plt.axis('off')

#plt.show()
plt.savefig("Prop1_68.png",bbox_inches='tight')