# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.


import matplotlib.pyplot as plt
import numpy as np


plt.figure(1)

ax=plt.gca()
ax.grid('off')

ax.spines['bottom'].set_bounds(-0.1,10.2)
ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(-0.1,10.2)
ax.spines['bottom'].set_position('zero')
ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')
plt.axis([-0.5,10.4, -0.7, 10.4])

a, b = 1, 9 #limits of integration
x = np.array([a,2,3,3.5,6.1,6.5,8,b]) # Unterteilung
c = np.array([7,3.5,2,8.1,9.3,4.3,1])

ax.get_xaxis().tick_bottom()
ax.get_yaxis().tick_left()
ax.set_xticks(x)
ax.set_xticklabels((r'$a=x_0$',r'$x_1$',r'$x_2$',r'$x_3$',r'$x_4$',r'$x_5$',r'$x_6$',r'$b=x_7$'),fontsize=16,verticalalignment='baseline',y=-0.6)
ax.set_yticks(c)
ax.set_yticklabels((r'$c_1$',r'$c_2$',r'$c_3$',r'$c_4$',r'$c_5$',r'$c_6$',r'$c_7$'),fontsize=16,verticalalignment='top')


eps=0.12
for cnt in np.nditer(np.arange(6,7)):
    plt.plot(np.linspace(x[cnt]+eps,x[cnt+1]-eps),np.full((50,1),c[cnt]),'k'), plt.plot(x[cnt],c[cnt],'o',ms=10,color='black',fillstyle='none'), plt.plot(x[cnt+1],c[cnt],'o',ms=10,color='black',fillstyle='none')

plt.plot(x,np.array([4,3.5,2,5,9.3,6,1,2]),'o',ms=10,color='black')


plt.text(8.75,8.75,r'$\varphi$',color='black',fontsize=20)



#plt.show()
plt.savefig("StepFn1.png",bbox_inches='tight')