# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t=np.linspace(1,12,12)
x=np.power(2,t)

plt.figure(1)
plt.plot(t,x,'o',color='b')
ax=plt.gca()
l = plt.axhline(y=850,linestyle='dashed',color='r')
plt.text(-0.5,720,r'$K$',color='r',fontsize=16)
plt.axis([0, 12.5,0,np.power(2,12)+400])
ax.grid('on')
plt.text(10,120,r'$N$',color='g',ha='center',fontsize=16)

ax.fill_between(np.linspace(0,21,20),850,np.power(2,12)+400,color='r',alpha=0.3)
ax.fill([21, 10, 10, 21], [850, 850, np.power(2,12)+400, np.power(2,12)+400], color='g',fill=False, hatch='\\')


#plt.show()
plt.savefig("WachsBigSeq.png",bbox_inches='tight')