# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')

ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(0,3.8)


ax.spines['bottom'].set_position('zero')
ax.set_xlim(-4.2,4.2)
ax.set_ylim(-0.2,3.8)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('off')

# plot function
x=np.linspace(-4,4,1000)
y=np.abs(x)

plt.plot(x,y,'k')

plt.text(3.5,2.8,r'$\vert x \vert$',fontsize=24)


#plt.show()
plt.savefig("abs.png",bbox_inches='tight')