# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import numpy as np
import matplotlib.pyplot as plt

t=np.linspace(-0.5,0.5,1000)
o=np.ones(1000)

X = np.zeros(4)
U = np.array([0,0,1.2,-1.2])
V = np.array([1.2,-1.2,0,0])

plt.figure(1)
ax = plt.gca()


ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(np.cos(2*np.pi*t),np.sin(2*np.pi*t),color='k',linewidth=2)
plt.plot(np.cos(np.pi*t),np.sin(np.pi*t),color='b',linewidth=4)

plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')


#plt.show()
plt.savefig("arc1.png",bbox_inches='tight')
