# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np


x = np.zeros(2)
y = np.zeros(2)
u = np.array([1,0])
v = np.array([0,1])

plt.figure(1)
ax = plt.gca()
ax.quiver(x,y,u,v,angles='xy',scale_units='xy',scale=1,color="red",width=0.015)
ax.quiver(0,0,3,2,angles='xy',scale_units='xy',scale=1)
plt.axis('scaled')
ax.grid('on')
plt.xlim(-0.1,3.1)
plt.ylim(-0.1,2.1)

ax.annotate(r'$x=\binom{3}{2}$',
            xy=(2.8, 1.5), xycoords='data',
            xytext=(2.8, 1.5), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$e_1=\binom{1}{0}$',
            xy=(1.1, 0.1), xycoords='data',
            xytext=(1.1, 0.1), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$e_2=\binom{0}{1}$',
            xy=(0.3, 0.9), xycoords='data',
            xytext=(0.3, 0.9), textcoords='data',
            size=20, va="center", ha="center",
            )


#plt.show()
plt.savefig("basic_vector.png",bbox_inches='tight')
