# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')

ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(0,1.7)


ax.spines['bottom'].set_position('zero')
ax.set_xlim(-1.1,1.1)
ax.set_ylim(-0.2,1.7)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('off')

ax.annotate("",xy=(-0.48,1),xycoords='data',xytext=(0.48,1),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='b'))
ax.annotate("",xy=(-1.1,0),xycoords='data',xytext=(-0.52,0),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='b'))
ax.annotate("",xy=(0.53,0),xycoords='data',xytext=(1.1,0),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='b'))
plt.plot(-1/2,0, 'o',ms = 15, markeredgecolor='b',markerfacecolor='None')
plt.plot(1/2,0, 'o',ms = 15, markeredgecolor='b',markerfacecolor='None')
plt.plot(-1/2,1, 'o',ms = 15, mfc='b')
plt.plot(1/2,1, 'o',ms = 15, mfc='b')


plt.text(.5,1.2,r'$\operatorname{rect} (x) $',fontsize=24)

#plt.show()
plt.savefig("boxcar.png",bbox_inches='tight')