# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()
ax.grid('off')

def func(x):
    return ((x**2)/2-5.8*x+24)

            
ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')
ax.spines['left'].set_position('zero')
ax.spines['bottom'].set_position('zero')
ax.set_xlim(-1,11)
ax.set_ylim(-2,22)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')
ax.yaxis.set_major_locator(plt.NullLocator())
ax.xaxis.set_major_locator(plt.NullLocator())

ax.set_xticks((3,6))
ax.set_xticklabels((r'$x_1$',r'$x_2$'),y=-1.5,verticalalignment='baseline',fontsize=20)

# plot function, secant, tangent
x=np.linspace(-1,11,1000)
plt.plot(x,func(x),'k')
plt.plot(x,(func(6)-func(3))/3*(x-3)+func(3),'k')
#plt.plot(x,-2.8*(x-3)+func(3),'k')

plt.plot(3,func(3),'o',ms=10,color='black')
plt.plot(6,func(6),'o',ms=10,color='black')
plt.text(10.7,13.7,r'$f$',fontsize=20)


#plt.show()
plt.savefig("convex_fn.png",bbox_inches='tight')