# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)

t=np.linspace(0,1,1000)

# concave
plt.subplot(1,2,1)
ax = plt.gca()
plt.plot(np.cos(-np.pi*(t-1)),-np.sin(-np.pi*(t-1)),color='r',linewidth=2)
plt.plot(0.5,0.5,'o',ms=10,color='r')
plt.plot(-0.5,0.5,'o',ms=10,color='r')


plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('off')

# convex
plt.subplot(1,2,2)
ax = plt.gca()
plt.plot(np.cos(-np.pi*(t-1)),np.sin(-np.pi*(t-1))-1,color='b',linewidth=2)
plt.plot(0.5,0.5,'o',ms=10,color='b')
plt.plot(-0.5,0.5,'o',ms=10,color='b')


plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('off')


#plt.show()
plt.savefig("convex_smile.png",bbox_inches='tight')