# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['left'].set_position('zero')
ax.spines['bottom'].set_bounds(-1,10)
ax.spines['right'].set_color('none')
ax.spines['bottom'].set_position('zero')
ax.spines['top'].set_color('none')
ax.spines['left'].set_smart_bounds(True)
ax.spines['bottom'].set_smart_bounds(True)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('on')

plt.ylim(-1.8,6.7)
plt.xlim(-1,10)

# plot functions
x1=np.linspace(0.2,2.1,100)

x2=np.linspace(2.1,4.5,100)

x3=np.linspace(4.5,5.9,100)

x4=np.linspace(5.9,7.8,100)

x5=np.linspace(7.8,10,1000)
def f5(t): return (-15*t**2+255*t-1077.8)

plt.plot(x1,2*x1,'k',color='k')
plt.plot(x2,np.full((100,1),4.2),'k',color='r',linewidth=4)
plt.plot(x3,-4*(x3-4.5)+4.2,'k',color='k')
plt.plot(x4,np.full((100,1),-1.4),'k',color='b',linewidth=4)
plt.plot(x5,f5(x5),'k',color='k')
plt.plot(8.51,6,'o',ms=10,c='g')

#plt.show()
plt.savefig("extrema.png",bbox_inches='tight')