# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import numpy as np
import matplotlib.pyplot as plt

t=np.linspace(-0.5,0.5,1000)

a=np.sqrt(3)
e=0.1

plt.figure(1)
ax = plt.gca()

plt.plot(np.cos(2*np.pi*t),np.sin(2*np.pi*t),color='k',linewidth=3)
ax.annotate("",xy=(-a,-1),xycoords='data',xytext=(a,-1),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))
ax.annotate("",xy=(0,2),xycoords='data',xytext=(a,-1),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))
ax.annotate("",xy=(-a,-1),xycoords='data',xytext=(0,2),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))
ax.annotate("",xy=(-a/2,1/2),xycoords='data',xytext=(a,-1),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))
ax.annotate("",xy=(-a,-1),xycoords='data',xytext=(a/2,1/2),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))
ax.annotate("",xy=(0,2),xycoords='data',xytext=(0,-1),textcoords='data',arrowprops=dict(arrowstyle='simple, head_length=0.01, head_width=0', facecolor='k'))

plt.plot(0,2, 'o',ms = 15, mfc='k')
plt.text(e,2+e,r'$0$',fontsize=24,color='b')
plt.text(2.5*e,2+2.5*e,r'$(010)$',fontsize=24,color='r')

plt.plot(-a/2,1/2, 'o',ms = 15, mfc='k')
plt.text(-a/2-2*e,1/2+e,r'$1$',fontsize=24,color='b')
plt.text(-a/2-7*e,1/2+2.5*e,r'$(011)$',fontsize=24,color='r')

plt.plot(a/2,1/2, 'o',ms = 15, mfc='k')
plt.text(a/2+e,1/2+e,r'$2$',fontsize=24,color='b')
plt.text(a/2+2.5*e,1/2+2.5*e,r'$(110)$',fontsize=24,color='r')

plt.plot(-a,-1, 'o',ms = 15, mfc='k')
plt.text(-a-2*e,-1+e,r'$3$',fontsize=24,color='b')
plt.text(-a-7*e,-1+2.5*e,r'$(001)$',fontsize=24,color='r')

plt.plot(0,-1, 'o',ms = 15, mfc='k')
plt.text(e,-1+e,r'$4$',fontsize=24,color='b')
plt.text(-5.5*e,-1+2*e,r'$(101)$',fontsize=24,color='r')

plt.plot(0,0, 'o',ms = 15, mfc='k')
plt.text(e,1.5*e,r'$5$',fontsize=24,color='b')
plt.text(-5.5*e,1.5*2*e,r'$(111)$',fontsize=24,color='r')

plt.plot(a,-1, 'o',ms = 15, mfc='k')
plt.text(a+e,-1+e,r'$6$',fontsize=24,color='b')
plt.text(a+2.5*e,-1+2.5*e,r'$(100)$',fontsize=24,color='r')


plt.axis('equal')
plt.axis('off')
ax.set_xlim(-a+2*e,a+e) # No idea why it needs to be uneven.
ax.set_ylim(-1-e,2+e)
ax.grid('off')


#plt.show()
plt.savefig("fano.png",bbox_inches='tight')
