# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

plt.rc('text', usetex=True)
plt.rcParams['text.latex.preamble'] = [r'\boldmath']

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')
ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(-13,3)
ax.spines['bottom'].set_position('zero')
ax.set_xlim(-1,11)
ax.set_ylim(-13,3)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('off')

# plot function
x=np.linspace(0.000001,11,1000)
y=np.log(x)

plt.plot(x,y,'k')

plt.text(7.5,-2.8,r'$\ln(x)$',fontsize=24)

#plt.show()
plt.savefig("ln.png",bbox_inches='tight')