# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import numpy as np
import matplotlib.pyplot as plt

t=np.linspace(0,1,1000)
o=np.ones(1000)

X = np.zeros(4)
U = np.array([0,0,1.2,-1.2])
V = np.array([1.2,-1.2,0,0])

plt.figure(1)

#1
plt.subplot(2,2,1)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(t,-t+1,color="red",linewidth=2)
plt.plot(t,t-1,color="red",linewidth=2)
plt.plot(-t,-t+1,color="red",linewidth=2)
plt.plot(-t,t-1,color="red",linewidth=2)
ax.fill_between(2*t-1,np.abs(2*t-1)-1,-np.abs(2*t-1)+1,facecolor='red')
ax.fill_between(t-0.5,np.abs(t-0.5)-0.5,-np.abs(t-0.5)+0.5,hatch='//',facecolor='red')
ax.annotate(r'$d_1$',
            xy=(0.7, 0.7), xycoords='data',
            xytext=(0.7, 0.7), textcoords='data',
            size=20, va="center", ha="center",
            color="red"
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#2
plt.subplot(2,2,2)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(np.cos(2*np.pi*t),np.sin(2*np.pi*t),color='#339926',linewidth=2)
ax.fill_between(2*t-1,-np.sqrt(4*t*(-t+1)),np.sqrt(4*t*(-t+1)), facecolor='#339926')
ax.fill_between(t-0.5,-np.sqrt(t*(-t+1)),np.sqrt(t*(-t+1)), hatch='//', facecolor='#339926')
ax.annotate(r'$d_2$',
            xy=(0.5, 0.5), xycoords='data',
            xytext=(0.5, 0.5), textcoords='data',
            size=20, va="center", ha="center",
            color='white'
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#infty
plt.subplot(2,2,3)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot((t-0.5)*2,o,color="blue",linewidth=2)
plt.plot((t-0.5)*2,-o,color="blue",linewidth=2)
plt.plot(o,-(t-0.5)*2,color="blue",linewidth=2)
plt.plot(-o,-(t-0.5)*2,color="blue",linewidth=2)
ax.fill_between(2*t-1,-1,1,facecolor='blue')
ax.fill_between(t-0.5,-0.5,0.5, hatch='//', facecolor='blue')
ax.annotate(r'$d_\infty$',
            xy=(0.7, 0.7), xycoords='data',
            xytext=(0.7, 0.7), textcoords='data',
            size=20, va="center", ha="center",
            color="white"
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#trivial
plt.subplot(2,2,4)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
ax.fill_between(2.4*t-1.2,-1.2,1.2,facecolor='#7F00FF')
plt.plot(0,0,marker='o',color="black")
ax.annotate(r'$\tilde{d}$',
            xy=(0.7, 0.7), xycoords='data',
            xytext=(0.7, 0.7), textcoords='data',
            size=20, va="center", ha="center",
            color='white'
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')


#plt.show()
plt.savefig("metric_balls.png",bbox_inches='tight')
