# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(np.cos(2)-0.05,1.1)
ax.spines['right'].set_color('none')
ax.spines['bottom'].set_position('zero')
ax.spines['top'].set_color('none')
ax.spines['bottom'].set_smart_bounds(True)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('off')

plt.ylim(np.cos(2)-0.05,1.1)

# plot function
x=np.linspace(0,2,1000)
y=np.cos(x)

plt.plot(x,y,'k')

plt.text(1.5,0.8,r'$\cos(x)$',fontsize=24)

ax.annotate(r'$\pi/2$',xy=(np.pi/2,0),xycoords='data',xytext=(np.pi/2+0.1,0.1),textcoords='data',arrowprops=dict(arrowstyle="-|>",color='blue'),color='blue',fontsize=20)

#plt.show()
plt.savefig("piConst.png",bbox_inches='tight')