# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

t1 = np.linspace(0,np.arctan(2/3),1000)
x1 = np.cos(t1)
y1 = np.sin(t1)

plt.figure(1)
plt.plot(x1,y1,color="red",linewidth=5)
ax = plt.gca()
ax.quiver(0.0,0.1,3.15,2.1,angles='xy',scale_units='xy',scale=1,color="red",width=0.015,headwidth=0)
ax.quiver(0,0,3,2,angles='xy',scale_units='xy',scale=1)
plt.axis('scaled')
ax.grid('on')
plt.xlim(-0.1,3.1)
plt.ylim(-0.1,2.1)

ax.annotate(r'$x$',
            xy=(2.9, 1.8), xycoords='data',
            xytext=(2.9, 1.8), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$r=\sqrt{13}$',
            xy=(0.6, 0.9), xycoords='data',
            xytext=(0.6, 0.9), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$\theta=\tan^{-1}(2/3)$',
            xy=(1.5, 0.2), xycoords='data',
            xytext=(1.5, 0.2), textcoords='data',
            size=20, va="center", ha="center",
            )

plt.savefig("pol_vector.png",bbox_inches='tight')