# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

x = np.zeros(2)
y = np.zeros(2)
a = np.sqrt(13)
u = np.array([3/a,-2/a])
v = np.array([2/a,3/a])

plt.figure(1)
ax = plt.gca()
ax.quiver(x,y,u,v,angles='xy',scale_units='xy',scale=1,color="red",width=0.015)
ax.quiver(0,0,3,2,angles='xy',scale_units='xy',scale=1)
plt.axis('scaled')
ax.grid('on')
plt.xlim(-0.8,3.1)
plt.ylim(-0.1,2.1)

ax.annotate(r'$x$',
            xy=(2.9, 1.8), xycoords='data',
            xytext=(2.9, 1.8), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$\varphi_1$',
            xy=(0.7, 0.1), xycoords='data',
            xytext=(0.7, 0.1), textcoords='data',
            size=20, va="center", ha="center",
            )
ax.annotate(r'$\varphi_2$',
            xy=(-0.3, 0.8), xycoords='data',
            xytext=(-0.3, 0.8), textcoords='data',
            size=20, va="center", ha="center",
            )

plt.savefig("rot_vector.png",bbox_inches='tight')