# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import matplotlib.pyplot as plt
import numpy as np

# set up the figure
plt.figure(1)
ax=plt.gca()

ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')
ax.spines['left'].set_position('zero')
ax.spines['left'].set_bounds(-0.3,1.3)
ax.spines['bottom'].set_position('zero')
ax.set_xlim(-5.1,5.1)
ax.set_ylim(-0.3,1.3)
ax.xaxis.set_ticks_position('bottom')
ax.yaxis.set_ticks_position('left')

ax.grid('off')

# plot function
x=np.linspace(-5.1,5.1,1000)
y=np.sinc(x)

lines=plt.plot(x,y,'k')
plt.setp(lines, linewidth=2, color='b')

plt.text(2.5,1,r'$\sinc(x) $',fontsize=24)

#plt.show()
plt.savefig("sinc.png",bbox_inches='tight')