# Emily J King
# http://www.math.uni-bremen.de/cda/
# This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 In- ternational License. To view a copy of this license, visit http://creativecommons. org/licenses/by-sa/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.

import numpy as np
import matplotlib.pyplot as plt

t=np.linspace(0,1,1000)
o=np.ones(1000)

X = np.zeros(4)
U = np.array([0,0,1.2,-1.2])
V = np.array([1.2,-1.2,0,0])

plt.figure(1)

#infty
plt.subplot(2,2,1)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot((t-0.5)*2,o,color="red",linewidth=2)
plt.plot((t-0.5)*2,-o,color="red",linewidth=2)
plt.plot(o,-(t-0.5)*2,color="red",linewidth=2)
plt.plot(-o,-(t-0.5)*2,color="red",linewidth=2)
ax.annotate(r'$\ell^\infty$',
            xy=(0.3, 0.3), xycoords='data',
            xytext=(0.3, 0.3), textcoords='data',
            size=20, va="center", ha="center",
            color="red"
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#3
plt.subplot(2,2,2)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(t,(1-t**3)**(1/3),color='#FF8000',linewidth=2)
plt.plot(t,-(1-t**3)**(1/3),color='#FF8000',linewidth=2)
plt.plot(-t,(1-t**3)**(1/3),color='#FF8000',linewidth=2)
plt.plot(-t,-(1-t**3)**(1/3),color='#FF8000',linewidth=2)
ax.annotate(r'$\ell^3$',
            xy=(0.3, 0.3), xycoords='data',
            xytext=(0.3, 0.3), textcoords='data',
            size=20, va="center", ha="center",
            color='#FF8000'
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#2
plt.subplot(2,2,3)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(np.cos(2*np.pi*t),np.sin(2*np.pi*t),color='y',linewidth=2)
ax.annotate(r'$\ell^2$',
            xy=(0.3, 0.3), xycoords='data',
            xytext=(0.3, 0.3), textcoords='data',
            size=20, va="center", ha="center",
            color='y'
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')

#1
plt.subplot(2,2,4)
ax = plt.gca()
ax.quiver(X,X,U,V,angles='xy',scale_units='xy',scale=1)
plt.plot(t,-t+1,color='#339926',linewidth=2)
plt.plot(t,t-1,color='#339926',linewidth=2)
plt.plot(-t,-t+1,color='#339926',linewidth=2)
plt.plot(-t,t-1,color='#339926',linewidth=2)
ax.annotate(r'$\ell^1$',
            xy=(0.7, 0.7), xycoords='data',
            xytext=(0.7, 0.7), textcoords='data',
            size=20, va="center", ha="center",
            color='#339926'
            )
plt.axis('scaled')
plt.xlim(-1.2,1.2)
plt.ylim(-1.2,1.2)
ax.grid('on')


#plt.show()
plt.savefig("unit_circles.png",bbox_inches='tight')
